# Uses of Interface
org.eclipse.swt.events.FocusListener

Packages that use FocusListener
Package
Description
org.eclipse.swt.events
org.eclipse.swt.widgets

## Uses of FocusListener in org.eclipse.swt.events

Methods in org.eclipse.swt.events that return FocusListener
Modifier and Type
Method
Description
`static FocusListener`
FocusListener.`focusGainedAdapter(Consumer<FocusEvent> c)`
Static helper method to create a `FocusListener` for the `FocusListener.focusGained(FocusEvent e)`) method with a lambda expression.
`static FocusListener`
FocusListener.`focusLostAdapter(Consumer<FocusEvent> c)`
Static helper method to create a `FocusListener` for the `FocusListener.focusLost(FocusEvent e)`) method with a lambda expression.

## Uses of FocusListener in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets with parameters of type FocusListener
Modifier and Type
Method
Description
`void`
Control.`addFocusListener(FocusListener listener)`
Adds the listener to the collection of listeners who will be notified when the control gains or loses focus, by sending it one of the messages defined in the `FocusListener` interface.
`void`
Control.`removeFocusListener(FocusListener listener)`
Removes the listener from the collection of listeners who will be notified when the control gains or loses focus.